#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 9. General Libraries

- Prev

  libaio-0.3.113

- Next

  libassuan-3.0.1

- Up
- Home

# libarchive-3.7.7

## Introduction to libarchive

The libarchive library provides a single interface for reading/writing various compression formats.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/libarchive/libarchive/releases/download/v3.7.7/libarchive-3.7.7.tar.xz

- Download MD5 sum: 50c4dea9eba9a0add25ac1cfc9ba2cdb

- Download size: 5.2 MB

- Estimated disk space required: 43 MB (add 32 MB for tests)

- Estimated build time: 0.4 SBU (add 0.8 SBU for tests)

### libarchive Dependencies

#### Optional

libxml2-2.13.5, LZO-2.10, Nettle-3.10, and pcre2-10.44

## Installation of libarchive

Install libarchive by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--without-xml2`: This switch sets expat for xar archive format support instead of preferred libxml2 if both packages are installed.

`--with-nettle`: This switch sets Nettle for crypto support instead of OpenSSL.

## Contents

Installed Programs: bsdcat, bsdcpio, bsdtar, and bsdunzip
Installed Libraries: libarchive.so
Installed Directories: None

### Short Descriptions

bsdcat | expands files to standard output
bsdcpio | is a tool similar to cpio
bsdtar | is a tool similar to GNU tar
bsdunzip | is a tool similar to Info-ZIP unzip
`libarchive.so` | is a library that can create and read several streaming archive formats

- Prev

  libaio-0.3.113

- Next

  libassuan-3.0.1

- Up
- Home